/**
  *  \file client/actions/gabuild.h
  *  \brief Global Actions: Building
  *
  *  (c) 2001-2013 Stefan Reuther <Streu@gmx.de>
  *
  *  This program is free software; you can redistribute it and/or
  *  modify it under the terms of file `COPYING' that comes with the
  *  source code.
  *
  *  This program is distributed in the hope that it will be useful,
  *  but WITHOUT ANY WARRANTY; without even the implied warranty of
  *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
  */
#ifndef PCC_V2_CLIENT_ACTIONS_GABUILD_H
#define PCC_V2_CLIENT_ACTIONS_GABUILD_H

#include "client/globalact.h"

/** "Autobuild" global action. */
class WGlobalAutobuildAction : public WGlobalAction {
    class Executer;
 public:
    WGlobalActionExecuter* prepare();
};

/** "Set build goals" global action. */
class WGlobalSetBuildGoalsAction : public WGlobalAction {
    class Executer;
 public:
    WGlobalActionExecuter* prepare();
};

#endif
