/**
  *  \file int/simple.h
  *  \brief Interpreter: Simple Interface
  *
  *  (c) 2001-2013 Stefan Reuther <Streu@gmx.de>
  *
  *  This program is free software; you can redistribute it and/or
  *  modify it under the terms of file `COPYING' that comes with the
  *  source code.
  *
  *  This program is distributed in the hope that it will be useful,
  *  but WITHOUT ANY WARRANTY; without even the implied warranty of
  *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
  */
#ifndef PCC_V2_INT_SIMPLE_H
#define PCC_V2_INT_SIMPLE_H

#include "int/bytecode.h"

IntBCORef compileExpression(const string_t& expr, const IntCompilationContext& cc);
bool executeStatement(const string_t& stmt, int prefixArg);
bool executeFile(const string_t& name, bool acceptMissingFile);
void runHook(const string_t name);

#endif
